package boshclient_test

import (
	"fmt"

	. "github.com/pivotal-cf/on-demand-service-broker/boshclient"

	. "github.com/onsi/ginkgo"
	. "github.com/onsi/ginkgo/extensions/table"
	. "github.com/onsi/gomega"
)

var _ = Describe("Task", func() {
	Describe("ToLog", func() {
		It("Returns a JSON serialised string representing the task", func() {
			task := BoshTask{
				ID:          1,
				State:       BoshTaskProcessing,
				Description: "snapshot deployment",
				Result:      "result-1",
			}

			Expect(task.ToLog()).To(Equal(fmt.Sprintf(
				`{"ID":1,"State":"%s","Description":"snapshot deployment","Result":"result-1"}`,
				BoshTaskProcessing,
			)))
		})
	})

	DescribeTable("Done",
		func(state string, expected bool) {
			t := BoshTask{State: state}
			Expect(t.Done()).To(Equal(expected))
		},
		Entry("when done", BoshTaskDone, true),
		Entry("when processing", BoshTaskProcessing, false),
		Entry("when queued", BoshTaskQueued, false),
		Entry("when cancelled", BoshTaskCancelled, false),
		Entry("when cancelling", BoshTaskCancelling, false),
		Entry("when error", BoshTaskError, false),
		Entry("when timeout", BoshTaskTimeout, false),
	)
})
