package broker_test

import (
	. "github.com/onsi/ginkgo"
	. "github.com/onsi/gomega"

	"github.com/pivotal-cf/on-demand-service-broker/broker"
)

var _ = Describe("ServiceOffering", func() {
	Context("FindPlanByID", func() {
		var offering = broker.ServiceOffering{
			Plans: []broker.Plan{
				{
					ID:   "planId",
					Name: "planName",
				},
			},
		}

		It("returns the plan if found", func() {
			plan, found := offering.FindPlanByID("planId")

			Expect(found).To(BeTrue())
			Expect(plan.ID).To(Equal("planId"))
			Expect(plan.Name).To(Equal("planName"))
		})

		It("indicates if plan cannot be found", func() {
			_, found := offering.FindPlanByID("not there")
			Expect(found).To(BeFalse())
		})
	})
})
