package features_test

import (
	. "github.com/onsi/ginkgo"
	. "github.com/onsi/gomega"
	"github.com/pivotal-cf/on-demand-service-broker/config"
	"github.com/pivotal-cf/on-demand-service-broker/features"
)

var _ = Describe("Features", func() {
	Context("when the cf_user_triggered_upgrades feature is on", func() {
		It("returns true", func() {
			featureFlags := features.New(config.Features{CFUserTriggeredUpgrades: true})
			Expect(featureFlags.CFUserTriggeredUpgrades()).To(BeTrue())
		})
	})

	Context("when the cf_user_triggered_upgrades feature is off", func() {
		It("returns false", func() {
			featureFlags := features.New(config.Features{CFUserTriggeredUpgrades: false})
			Expect(featureFlags.CFUserTriggeredUpgrades()).To(BeFalse())
		})
	})
})
